Actualizar un miembro
En este fragmento de código aprenderás a actualizar los detalles de un Miembro. Para eliminar un Miembro de la Conversación, cambie el parámetro state a left.
Ejemplo
Asegúrese de que las siguientes variables se ajustan a los valores requeridos utilizando cualquier método conveniente:
| Clave | Descripción |
|---|---|
CONVERSATION_ID | The ID of the Conversation. |
USER_ID | The unique ID of the User. |
MEMBER_ID | The unique ID of the Member. |
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to update a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Escriba el código
Añada lo siguiente a update-member.sh:
curl -X "PUT" "https://api.nexmo.com/v1/conversations/$CONV_ID/members/$CONV_MEMBER_ID" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json' \
-d $'{
"state": "'$CONV_MEMBER_STATE'",
"from": "string"
}'
Ejecute su código
Guarde este archivo en su máquina y ejecútelo:
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to update a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCrea un archivo llamado update-member.js y añade el siguiente código:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Escriba el código
Añada lo siguiente a update-member.js:
const run = async () => {
// Load in all the member details to prevent overwriting
const member = vonage.conversations.getMember(
CONV_ID,
CONV_MEMBER_ID,
);
member.state = CONV_MEMBER_STATE;
await vonage.conversations.updateMember(
CONV_ID,
CONV_MEMBER_ID,
member,
);
console.log(member);
};
run();Ejecute su código
Guarde este archivo en su máquina y ejecútelo:
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to update a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Añada lo siguiente a build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Crea un archivo llamado UpdateMember y añade el siguiente código al método main:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Escriba el código
Añada lo siguiente al método main del archivo UpdateMember:
var updated = client.getConversationsClient().updateMember(
UpdateMemberRequest.builder()
.conversationId(CONV_ID)
.memberId(CONV_MEMBER_ID)
.state(CONV_MEMBER_STATE)
.build()
);
System.out.println(updated);Ejecute su código
Podemos utilizar el plugin aplicación para Gradle para simplificar la ejecución de nuestra aplicación. Actualiza tu build.gradle con lo siguiente:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Ejecute el siguiente comando gradle para ejecutar su aplicación, sustituyendo com.vonage.quickstart.conversation por el paquete que contiene UpdateMember:
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to update a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCrea un archivo llamado UpdateMember.cs y añade el siguiente código:
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations.UpdateMember;
using Vonage.Request;Añada lo siguiente a UpdateMember.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Escriba el código
Añada lo siguiente a UpdateMember.cs:
var response = await client.ConversationsClient.UpdateMemberAsync(UpdateMemberRequest.Build()
.WithConversationId(CONV_ID)
.WithMemberId(CONV_MEMBER_ID)
.WithJoinedState()
.WithFrom(CONV_MEMBER_FROM)
.Create());Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to update a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCrea un archivo llamado update-member.php y añade el siguiente código:
use Vonage\Conversation\ConversationObjects\CreateConversationRequest;
use Vonage\Conversation\ConversationObjects\UpdateConversationRequest;
require_once __DIR__ . '../../config.php';
require_once __DIR__ . '../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(
file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH),
VONAGE_APPLICATION_ID
);
$client = new \Vonage\Client($keypair);Escriba el código
Añada lo siguiente a update-member.php:
$updateMemberRequest = new \Vonage\Conversation\ConversationObjects\UpdateMemberRequest(
MEMBER_ID,
CONVERSATION_ID,
'joined'
);
$client->conversation()->updateMember($updateMemberRequest);Ejecute su código
Guarde este archivo en su máquina y ejecútelo:
Pruébalo
Al ejecutar el código se actualizará el diputado.